org.apache.solr.search.facet

## Class HLLAgg

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.solr.search.facet.AggValueSource
    - - org.apache.solr.search.facet.StrAggValueSource
      - - org.apache.solr.search.facet.HLLAgg

-     public class HLLAgg
      extends StrAggValueSource

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HLLAgg.HLLFactory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HLLAgg.HLLFactory` | `factory`

    - ### Fields inherited from class org.apache.solr.search.facet.StrAggValueSource

      `arg`

    - ### Fields inherited from class org.apache.solr.search.facet.AggValueSource

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HLLAgg(String field)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacetMerger` | `createFacetMerger(Object prototype)`
    `SlotAcc` | `createSlotAcc(org.apache.solr.search.facet.FacetContext fcontext, int numDocs, int numSlots)`

    - ### Methods inherited from class org.apache.solr.search.facet.StrAggValueSource

      `description, equals, getArg, hashCode`

    - ### Methods inherited from class org.apache.solr.search.facet.AggValueSource

      `getChildren, getValues, name`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### factory

          protected HLLAgg.HLLFactory factory

  - ### Constructor Detail

    - #### HLLAgg

          public HLLAgg(String field)

  - ### Method Detail

    - #### createSlotAcc

          public SlotAcc createSlotAcc(org.apache.solr.search.facet.FacetContext fcontext,
                                       int numDocs,
                                       int numSlots)
                                throws IOException

      Overrides:
        `createSlotAcc` in class `AggValueSource`
      Throws:
        `IOException`

    - #### createFacetMerger

          public FacetMerger createFacetMerger(Object prototype)

      Specified by:
        `createFacetMerger` in class `AggValueSource`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.